aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/ifupdown-ng/APKBUILD16
1 files changed, 10 insertions, 6 deletions
diff --git a/main/ifupdown-ng/APKBUILD b/main/ifupdown-ng/APKBUILD
index 3dd385d216..df871a1850 100644
--- a/main/ifupdown-ng/APKBUILD
+++ b/main/ifupdown-ng/APKBUILD
@@ -1,26 +1,30 @@
# Maintainer: Ariadne Conill <ariadne@dereferenced.org>
pkgname=ifupdown-ng
-pkgver=0.8.0
-pkgrel=1
+pkgver=0.8.1
+pkgrel=0
pkgdesc="tools for managing network configuration"
url="https://github.com/ifupdown-ng/ifupdown-ng"
arch="all"
license="ISC"
-depends=""
checkdepends="kyua atf"
makedepends="scdoc"
install=""
-install_if="alpine-base"
subpackages="$pkgname-doc $pkgname-iproute2 $pkgname-ppp"
source="https://distfiles.dereferenced.org/ifupdown-ng/ifupdown-ng-$pkgver.tar.xz"
builddir="$srcdir/ifupdown-ng-$pkgver"
+provides="ifupdown-any"
+provider_priority=900
+
+# We conflict with the vlan package because we provide our own
+# vlan support with the link executor.
+depends="!vlan"
# We only install the core executors right now. The other executors are
# still being ported to run under ifupdown-ng natively, and so we will
# use the ifupdown scripts for now for those cases. However, it is nice
# to make the automatic dependency resolution work, and ifupdown-ng
# provides some stubs to enable that.
-_executor_stubs="bridge bond vlan"
+_executor_stubs="bridge bond"
# These are optional executors which do not conflict with what we are
# presently shipping. These executors require iproute2.
@@ -60,4 +64,4 @@ ppp() {
amove usr/libexec/ifupdown-ng/ppp
}
-sha512sums="761450524b9c42cd6748fe40ab63f5098c88154211fbfe86a4f8cc7e58f48c9141f7aa81a9ce95c4d1332e73e57c3748115dc3212d2e00270342c418da3dc517 ifupdown-ng-0.8.0.tar.xz"
+sha512sums="982e002d15a582333d4965768976340b06b460cf3698a643986f544fcc05ca6ba06e12df1babf0c1a03649bc2f8ccf43711524cd662fd66bed26211874868e9d ifupdown-ng-0.8.1.tar.xz"